-         
Seite 2 von 8 ErsteErste 1234 ... LetzteLetzte
Ergebnis 11 bis 20 von 73

Thema: GUI Builder - Qt Designer

  1. #11
    Erfahrener Benutzer Robotik Einstein
    Registriert seit
    09.10.2014
    Beiträge
    4.530
    Anzeige

    ok, das ist deutlich weniger als das Windows-Paket, passt also auf meine 32GB SD

    betr. (s.o.):
    und noch was gefunden:

    Voraussetzungen

    Um Anwendungen mit Qt Creator zu erstellen, muss Qt installiert sein.
    also das dann doch noch vorher zusätzlich?????

    sudo apt install qt5-default
    ·±≠≡≈³αγελΔΣΩ∞ Schachroboter:www.youtube.com/watch?v=Cv-yzuebC7E Rasenmäher-Robot:www.youtube.com/watch?v=z7mqnaU_9A8

  2. #12
    Benutzer Stammmitglied Avatar von ces
    Registriert seit
    06.10.2018
    Beiträge
    99
    Nein, sobald qtcreator installiert wird sind alle abhängigkeiten erfüllt, insbesondere Qt.
    Ja könnte ganz nützlich sein wenn es nicht schon abgelöst wurde. https://packages.debian.org/buster/qt5-default
    Würde es erst mal wie besprochen machen.
    Geändert von ces (09.09.2019 um 17:31 Uhr)

  3. #13
    Erfahrener Benutzer Robotik Einstein
    Registriert seit
    09.10.2014
    Beiträge
    4.530
    ok, alles klar.
    Aber diese Installations-Anleitungen.... *kopfschüttel*
    ·±≠≡≈³αγελΔΣΩ∞ Schachroboter:www.youtube.com/watch?v=Cv-yzuebC7E Rasenmäher-Robot:www.youtube.com/watch?v=z7mqnaU_9A8

  4. #14
    Benutzer Stammmitglied Avatar von ces
    Registriert seit
    06.10.2018
    Beiträge
    99
    https://wiki.ubuntuusers.de/Wiki/
    ist am besten, das meiste kann man einfach für den Raspi übernehmen.

    Der Raspbian Server scheint wohl in der Mittagspause 12:00 - 13:00 am ehesten zu laufen.

  5. #15
    Benutzer Stammmitglied Avatar von ces
    Registriert seit
    06.10.2018
    Beiträge
    99
    Qt Creator 4.2.0 Based on Qt 5.7.1 (GCC 6.2.1 20161124, 32 bit) incl. Qt Designer
    auf Raspi2b+ mit Raspbian Stretch 04.2019 incl. Updates
    erfolgreich installiert.

    Ohne jegliche Vorbereitungen allein mit
    sudo apt install qtcreator
    installiert.

    Ergänzende vorgeschlagene Pakete:
    gnustep gnustep-devel clang-3.8-doc llvm-3.8-doc qtbase5-dev cmake
    kdelibs5-data subversion [qt5-default lässt sich hier falls nötig einreihen]

    Klicke auf die Grafik für eine größere Ansicht

Name:	2019-09-10-155101_1920x1080_scrot.jpg
Hits:	2
Größe:	45,6 KB
ID:	34385

    Anleitungen für Qtcreator finden sich auf Youtube ...
    Hier enden meine Kompetenzen

    - - - Aktualisiert - - -

    Das starten von qtcreator dauert ca. 20 bis 30 sec. auf dem pi2. Also Geduld!

  6. #16
    Erfahrener Benutzer Robotik Einstein
    Registriert seit
    09.10.2014
    Beiträge
    4.530
    konntest du damit schon ein einfaches Projekt bauen, aus dem Stand, ohne weitere Einstellungen/Konfigurationen?
    Ggf. welche?

    z.B.:

    1 form-Wiindow
    darin 1 Button mit Aufschrift "Klick mich"
    wenn man ihn anklickt, dann kommt ein zusätzliches Popup-Window mit dem Text "Hello World" und einem Button "OK"
    drückt man den OK-Button, verschwindet das Popup-Window wieder, 1. Fenster bleibt stehen.

    (das war mal ein einfaches Übungsbeispiel für den Borland C++ Builder)
    ·±≠≡≈³αγελΔΣΩ∞ Schachroboter:www.youtube.com/watch?v=Cv-yzuebC7E Rasenmäher-Robot:www.youtube.com/watch?v=z7mqnaU_9A8

  7. #17
    Erfahrener Benutzer Robotik Einstein
    Registriert seit
    09.10.2014
    Beiträge
    4.530
    PS
    Und dann jetzt doch noch qt5-default ? Und wieso und wann falls nötig? Oder doch nicht?

    Ich verstehe dieses Linux-Pakete-Chaos einfach nicht.

    Habe die Pakete aber mal installiert (ohne qt5-default)
    Code:
    sudo apt install gnustep gnustep-devel clang-3.8-doc llvm-3.8-doc qtbase5-dev cmake  kdelibs5-data subversion
    dann qtcreator gestartet,
    dann
    Datei -> neu -> Anwendung -> qt-widgets-Anwendung -> Name: test -> [Weiter]
    ERROR
    es wurden keine gültigen Kits gefunden.
    Dieselbe Sch***e wie letztes Mal auch schon...

    Bin gespannt, wie DU es schaffst, eine einfache Anwendung zu erstellen....


    PS:

    habe inzwischen auch in Einstellungen -> Compiler eingegeben:

    C:
    GCC /usr/bin/gcc

    C++:
    GCC /usr/bin/g++

    Trotzdem immer noch diese "keine-gültigen-Kits"-Sch***e
    ·±≠≡≈³αγελΔΣΩ∞ Schachroboter:www.youtube.com/watch?v=Cv-yzuebC7E Rasenmäher-Robot:www.youtube.com/watch?v=z7mqnaU_9A8

  8. #18
    Erfahrener Benutzer Robotik Einstein
    Registriert seit
    11.12.2007
    Ort
    weit weg von nahe Bonn
    Alter
    34
    Beiträge
    3.334
    Habe die Pakete aber mal installiert (ohne qt5-default)
    warum? genau das scheint die Ursache deines Problem zu sein, wenn ich deine Fehlermeldung bei google eingebe
    Es gibt 10 Sorten von Menschen: Die einen können binär zählen, die anderen
    nicht.

  9. #19
    Benutzer Stammmitglied Avatar von ces
    Registriert seit
    06.10.2018
    Beiträge
    99
    Soweit war ich auch gekommen. qt5-default ist wohl ein Kit.

  10. #20
    Erfahrener Benutzer Robotik Einstein
    Registriert seit
    11.12.2007
    Ort
    weit weg von nahe Bonn
    Alter
    34
    Beiträge
    3.334
    Oha, das Paket ist aber kein Debian Freund wie es scheint

    https://packages.debian.org/sid/qt5-default

    ist also verständlich dass es nicht als dependency mit beigelegt wird
    edit: hattest du ja schon von der buster seite verlinkt
    Es gibt 10 Sorten von Menschen: Die einen können binär zählen, die anderen
    nicht.

Seite 2 von 8 ErsteErste 1234 ... LetzteLetzte

Ähnliche Themen

  1. Altium Designer 14
    Von Roboternetz-News im Forum Neuigkeiten / Technik-News / Nachrichten / Aktuelles
    Antworten: 0
    Letzter Beitrag: 24.10.2013, 09:40
  2. Altium Designer 12 angekündigt
    Von Roboternetz-News im Forum Neuigkeiten / Technik-News / Nachrichten / Aktuelles
    Antworten: 0
    Letzter Beitrag: 15.03.2012, 12:20
  3. Layout Designer
    Von Zeroeightfifteen im Forum Konstruktion/CAD/Sketchup und Platinenlayout Eagle & Fritzing u.a.
    Antworten: 1
    Letzter Beitrag: 04.12.2006, 09:36
  4. C++ Builder 5 + Threads + Objekte
    Von lion1984 im Forum Software, Algorithmen und KI
    Antworten: 5
    Letzter Beitrag: 30.08.2006, 11:56
  5. Robot Builder´s Bonanza
    Von Fabian im Forum Buchempfehlungen
    Antworten: 14
    Letzter Beitrag: 20.05.2005, 10:50

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •